import django.contrib.auth.admin
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from .models import User


class UserAdmin(django.contrib.auth.admin.UserAdmin):
    fieldsets = (
        (None, {'fields': ('username', 'password')}),
        (
            _('Personal info'),
            {
                'fields': (
                    'first_name',
                    'last_name',
                    'email',
                    'phone',
                    'mobile',
                    'emissions',
                    'news_categories',
                )
            },
        ),
        (
            _('Permissions'),
            {'fields': ('is_active', 'is_staff', 'is_superuser', 'groups', 'user_permissions')},
        ),
        (_('Important dates'), {'fields': ('last_login', 'date_joined')}),
    )
    filter_horizontal = ('groups', 'user_permissions', 'emissions', 'news_categories')


admin.site.register(User, UserAdmin)
